For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate webhook
      • DELDelete webhook
      • GETList webhooks
      • GETShow webhook
      • PATCHUpdate webhook

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWebhooks

Create webhook

POST
https://api.frame.io/v4/accounts/:account_id/workspaces/:workspace_id/webhooks
POST
/v4/accounts/:account_id/workspaces/:workspace_id/webhooks
1from frameio import Frameio
2from frameio.webhooks import WebhookCreateParamsData
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.webhooks.create(
9 account_id="8da8d561-2b82-44b4-a0bc-1a744b1205d9",
10 workspace_id="20ae39cc-f8e3-4dae-bb5b-67d1d5f61d3d",
11 data=WebhookCreateParamsData(
12 events=[
13 "file.created",
14 "file.deleted",
15 "file.ready",
16 "file.updated",
17 "file.upload.completed",
18 "file.versioned",
19 "file.copied",
20 "folder.created",
21 "folder.deleted",
22 "folder.updated",
23 "folder.copied",
24 "comment.completed",
25 "comment.created",
26 "comment.deleted",
27 "comment.uncompleted",
28 "comment.updated",
29 "customfield.created",
30 "customfield.updated",
31 "customfield.deleted",
32 "metadata.value.updated",
33 "project.created",
34 "project.deleted",
35 "project.updated",
36 "collection.created",
37 "collection.updated",
38 "collection.deleted",
39 "share.created",
40 "share.updated",
41 "share.deleted",
42 "share.viewed"
43 ],
44 name="New Webhook",
45 url="https://url.example.com",
46 ),
47)
1{
2 "data": {
3 "created_at": "2024-02-12T21:34:58.501275Z",
4 "events": [
5 "file.created",
6 "file.deleted",
7 "file.ready",
8 "file.updated",
9 "file.upload.completed",
10 "file.versioned",
11 "file.copied",
12 "folder.created",
13 "folder.deleted",
14 "folder.updated",
15 "folder.copied",
16 "comment.completed",
17 "comment.created",
18 "comment.deleted",
19 "comment.uncompleted",
20 "comment.updated",
21 "customfield.created",
22 "customfield.updated",
23 "customfield.deleted",
24 "metadata.value.updated",
25 "project.created",
26 "project.deleted",
27 "project.updated",
28 "collection.created",
29 "collection.updated",
30 "collection.deleted",
31 "share.created",
32 "share.updated",
33 "share.deleted",
34 "share.viewed"
35 ],
36 "id": "ec87061a-275c-47fb-b921-06531a7c58fd",
37 "name": "My First Webhook",
38 "updated_at": "2024-02-12T21:34:58.501275Z",
39 "url": "https://my.webhook.url.dev",
40 "secret": "<secret>",
41 "active": "true",
42 "workspace_id": "e7c1a299-a94f-458a-a482-6c75106dccb4"
43 }
44}
Creates a single webhook with secret.<br/><br/>Valid events:<p><code> file.created, file.deleted, file.ready, file.updated, file.upload.completed, file.versioned, file.copied, folder.created, folder.deleted, folder.updated, folder.copied, comment.completed, comment.created, comment.deleted, comment.uncompleted, comment.updated, customfield.created, customfield.updated, customfield.deleted, metadata.value.updated, project.created, project.deleted, project.updated, collection.created, collection.updated, collection.deleted, share.created, share.updated, share.deleted, share.viewed </code> </p>. <br/>Rate Limits: 10 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Delete webhook

Next

Creates a single webhook with secret.

Valid events:<p><code> file.created, file.deleted, file.ready, file.updated, file.upload.completed, file.versioned, file.copied, folder.created, folder.deleted, folder.updated, folder.copied, comment.completed, comment.created, comment.deleted, comment.uncompleted, comment.updated, customfield.created, customfield.updated, customfield.deleted, metadata.value.updated, project.created, project.deleted, project.updated, collection.created, collection.updated, collection.deleted, share.created, share.updated, share.deleted, share.viewed </code> </p>. <br />Rate Limits: 10 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
workspace_idstringRequiredformat: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

Request

Webhook params
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).